summaryrefslogtreecommitdiff
path: root/games/transfusion/transfusion.in
diff options
context:
space:
mode:
authorB. Watson <yalhcru@gmail.com>2010-05-12 23:29:36 +0200
committerDavid Somero <xgizzmo@slackbuilds.org>2010-05-12 23:29:36 +0200
commit56c4326324c43f741a5d88a441d772db5cd976bc (patch)
tree74d91a062f89e60ab46345685e20d4930e6d9034 /games/transfusion/transfusion.in
parent58124800c44323a70de4c3d3803ab448c7290ff1 (diff)
downloadslackbuilds-56c4326324c43f741a5d88a441d772db5cd976bc.tar.gz
games/transfusion: Added to 12.2 repository
Diffstat (limited to 'games/transfusion/transfusion.in')
-rw-r--r--games/transfusion/transfusion.in24
1 files changed, 24 insertions, 0 deletions
diff --git a/games/transfusion/transfusion.in b/games/transfusion/transfusion.in
new file mode 100644
index 0000000000..a498cdae9a
--- /dev/null
+++ b/games/transfusion/transfusion.in
@@ -0,0 +1,24 @@
+#!/bin/sh
+
+# Silly wrapper script for transfusion, by B. Watson
+
+set -e
+
+case "$0" in
+ *-dedicated)
+ GAME=dedicated
+ ;;
+ *)
+ GAME=glx
+ ;;
+esac
+
+# You can override these in the environment, if you have multiple
+# versions of transfusion installed.
+
+TF_VERSION=${TF_VERSION:-@VERSION@}
+TF_GAMEDIR=${TF_GAMEDIR:-/usr/share/games/transfusion-$TF_VERSION}
+TF_BIN=${TF_BIN:-/usr/libexec/transfusion-$TF_VERSION/transfusion-$GAME}
+
+cd $TF_GAMEDIR
+exec $TF_BIN "$@"